<?php

/**
 * @file
 * Provides drush commands for the acsf_sj module.
 */

/**
 * Implements hook_drush_command().
 */
function acsf_sj_drush_command() {
  return [
    'acsf-sj-local-dev-enable' => [
      'description' => dt('Enables the local development mode.'),
    ],
    'acsf-sj-local-dev-disable' => [
      'description' => dt('Disables the local development mode.'),
    ],
  ];
}

/**
 * Sets the local development Drupal variable to TRUE.
 */
function drush_acsf_sj_local_dev_enable() {
  _acsf_sj_local_dev_mode_set(TRUE);
  drush_log(dt('acsf_sj local development mode has been enabled.'), 'success');
}

/**
 * Sets the local development Drupal variable to FALSE.
 */
function drush_acsf_sj_local_dev_disable() {
  _acsf_sj_local_dev_mode_set(FALSE);
  drush_log(dt('acsf_sj local development mode has been disabled.'), 'success');
}
