<?php

namespace Acquia\Acsf;

/**
 * Provides a Scheduled Jobs API debug client.
 */
class AcsfSjLocalDevClient extends AcsfSjApiClient implements AcsfSjClientInterface {

  /**
   * {@inheritdoc}
   */
  public function addJob($command, $reason, $timestamp, $domain, $timeout, $drush_executable, $drush_options) {
    try {
      $this->inputValidation($command, $timestamp, $domain, $timeout, $drush_executable, $drush_options);
    }
    catch (\Exception $e) {
      watchdog('acsf_sj', 'Local dev: unable to add the scheduled job: @message', ['@message' => $e->getMessage()], WATCHDOG_ERROR);
      return FALSE;
    }

    $sjadd_arguments = $this->prepareCommandArguments($command, $reason, $timestamp, $domain, $timeout, $drush_executable, $drush_options);

    watchdog('acsf_sj', 'Local dev: sjadd @arguments', ['@arguments' => $sjadd_arguments], WATCHDOG_ERROR);
    return TRUE;
  }

}
